#ifndef SYSTEM_H_
#define SYSTEM_H_

#define uCHAR_FLASH    uint8_t __attribute__ ((progmem))
#define READ_FLASH(x)  pgm_read_byte(&x)

#define setbit(PORT,PIN,DATA) if(DATA){(PORT)|=_BV(PIN);}else{(PORT)&=~_BV(PIN);}
#define getbit(x,y)((x&(1<<y)) ? 1:0)
#define sbi(PORT,PIN) (PORT)|=_BV(PIN)
#define cbi(PORT,PIN) (PORT)&=~_BV(PIN)
#define  outb(addr, data)   addr = (data) 
#define  inb(addr)   (addr)
		
//#define F_CPU 8000000UL		

#define I2C_DELAY  	5          	

#define SDA_PIN     1			
#define SCL_PIN     0
#define I2C_PORTIN  PINB
#define I2C_PORT    PORTB
#define I2C_DDR     DDRB

#endif
